Subject: bug#5239: 23.1.50; compile-command Local Variables must be after mode

From: [email-masked]
Date: Fri, 18 Dec 2009 08:25:45 +0800

JL> This is already documented in (info "(emacs) Specifying File Variables"):

JL>      If `mode' is used to set a major mode, it should be the first
JL>   "variable" in the list.  Otherwise, the entries that precede it will
JL>   usually be ignored, since most modes kill all local variables as part
JL>   of their initialization.

JL> It makes no sense to duplicate this information in the docstrings of
JL> every variable that may be used in Local Variables.

OK, then the "responsible" thing to do would be to emit a warning if detected:
"mode used after others, see info page...".